| LPCOpen Platform v1.03 LPCOpen Platform for NXP LPC Microcontrollers

- Main Page
- Modules
- Data Structures
- Files
- Related Pages

- File List
- Globals

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Macros | Functions
board_nxp_xpresso_1347.h File Reference
`#include "chip.h"`
`#include "board_api.h"`

Go to the source code of this file.

## Macros
#define | BOARD_NXP_XPRESSO_1347
#define | LEDS_LED1 0x01
#define | LEDS_LED2 0x02
#define | LEDS_LED3 0x04
#define | LEDS_LED4 0x08
#define | LEDS_NO_LEDS 0x00
#define | BUTTONS_BUTTON1 0x01
#define | NO_BUTTON_PRESSED 0x00
#define | JOY_UP 0x01
#define | JOY_DOWN 0x02
#define | JOY_LEFT 0x04
#define | JOY_RIGHT 0x08
#define | JOY_PRESS 0x10

## Functions
void | Board_UART_Init (void)
| Initialize pin muxing for UART interface.
void | Board_SSP_Init (LPC_SSP_T *pSSP)
| Initialize pin muxing for SSP interface.
void | Board_ADC_Init (void)
| Initialize pin muxing for ADC channel 0.
void | Board_Buttons_Init (void)
| Initialize buttons on the board.
uint32_t | Buttons_GetStatus (void)
| Get button status.
void | Board_Joystick_Init (void)
| Initialize Joystick.
uint8_t | Joystick_GetStatus (void)
| Get Joystick status.
STATIC INLINE void | Board_I2C_Init (I2C_ID_T id)
| Sets up board specific I2C interface.
STATIC INLINE void | Board_I2C_EnableFastPlus (I2C_ID_T id)
| Sets up I2C Fast Plus mode.
STATIC INLINE void | Board_I2C_DisableFastPlus (I2C_ID_T id)
| Disable I2C Fast Plus mode and enables default mode.

## Macro Definition Documentation

#define BOARD_NXP_XPRESSO_1347

Definition at line 58 of file board_nxp_xpresso_1347.h.

#define BUTTONS_BUTTON1 0x01

Button defines

Definition at line 78 of file board_nxp_xpresso_1347.h.

#define JOY_DOWN 0x02

Definition at line 85 of file board_nxp_xpresso_1347.h.

#define JOY_LEFT 0x04

Definition at line 86 of file board_nxp_xpresso_1347.h.

#define JOY_PRESS 0x10

Definition at line 88 of file board_nxp_xpresso_1347.h.

#define JOY_RIGHT 0x08

Definition at line 87 of file board_nxp_xpresso_1347.h.

#define JOY_UP 0x01

Joystick defines

Definition at line 84 of file board_nxp_xpresso_1347.h.

#define LEDS_LED1 0x01

LED defines

Definition at line 69 of file board_nxp_xpresso_1347.h.

#define LEDS_LED2 0x02

Definition at line 70 of file board_nxp_xpresso_1347.h.

#define LEDS_LED3 0x04

Definition at line 71 of file board_nxp_xpresso_1347.h.

#define LEDS_LED4 0x08

Definition at line 72 of file board_nxp_xpresso_1347.h.

#define LEDS_NO_LEDS 0x00

Definition at line 73 of file board_nxp_xpresso_1347.h.

#define NO_BUTTON_PRESSED 0x00

Definition at line 79 of file board_nxp_xpresso_1347.h.

## Function Documentation

void Board_ADC_Init | ( | void |  | ) |

Initialize pin muxing for ADC channel 0.

Returns
  Nothing

Definition at line 159 of file board_nxp_xpresso_11c24.c.

void Board_Buttons_Init | ( | void |  | ) |

Initialize buttons on the board.

Returns
  Nothing

Definition at line 186 of file board_nxp_xpresso_11u14.c.

STATIC INLINE void Board_I2C_DisableFastPlus | ( | I2C_ID_T | id | ) |

Disable I2C Fast Plus mode and enables default mode.

Parameters

  id | : Must always be I2C0

Returns
  Nothing

See Also
  Board_I2C_EnableFastPlus()

Definition at line 167 of file board_nxp_xpresso_1347.h.

STATIC INLINE void Board_I2C_EnableFastPlus | ( | I2C_ID_T | id | ) |

Sets up I2C Fast Plus mode.

Parameters

  id | : Must always be I2C0

Returns
  Nothing

Note
  This function must be called before calling Chip_I2C_SetClockRate() to set clock rates above normal range 100KHz to 400KHz.

Definition at line 155 of file board_nxp_xpresso_1347.h.

void Board_Joystick_Init | ( | void |  | ) |

Initialize Joystick.

Returns
  Nothing

Definition at line 200 of file board_nxp_xpresso_11u14.c.

void Board_SSP_Init | ( | LPC_SSP_T * | pSSP | ) |

Initialize pin muxing for SSP interface.

Parameters

  pSSP | : Pointer to SSP interface to initialize

Returns
  Nothing

Definition at line 169 of file board_nxp_xpresso_1347.c.

void Board_UART_Init | ( | void |  | ) |

Initialize pin muxing for UART interface.

Returns
  Nothing

Definition at line 57 of file board_nxp_xpresso_11c24.c.

uint32_t Buttons_GetStatus | ( | void |  | ) |

Get button status.

Returns
  status of button

Definition at line 191 of file board_nxp_xpresso_11u14.c.

uint8_t Joystick_GetStatus | ( | void |  | ) |

Get Joystick status.

Returns
  status of Joystick

System Clock Frequency (Core Clock)

Definition at line 214 of file board_nxp_xpresso_11u14.c.